# $Revision: 1.29 $, $Date: 2002/07/17 21:18:40 $
Summary:	Virtual Network Computing
Summary(es):	Sistema de control remoto
Summary(pl):	Virtual Network Computing -- zdalny desktop
Summary(pt_BR):	Sistema de controle remoto
Name:		vnc
Version:	3.3.3r2
Release:	4
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.uk.research.att.com/vnc/dist/%{name}-%{version}_unixsrc.tgz
Source1:	http://www.uk.research.att.com/vnc/dist/%{name}-latest_doc.tgz
Source2:	vncviewer.1
Source3:	%{name}-Xvnc.1
Source4:	vncserver.1
Source5:	vncconnect.1
Source6:	vncpasswd.1
Source7:	vncviewer.desktop
Patch0:		http://www.ce.cctpu.edu.ru/vnc/preview/%{name}-%{version}-unix-tight-1.1p4.patch.gz
Patch1:		%{name}-vncserver.patch
Patch2:		%{name}-ppc.patch
Patch3:		%{name}-ComplexProgramTargetNoMan.patch
Patch4:		%{name}-corre.patch
Patch5:		%{name}-typo.patch
URL:		http://www.uk.research.att.com/vnc/
BuildRequires:	XFree86-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%define		_noautocompressdoc	*.GIF

%description
VNC stands for Virtual Network Computing. It is, in essence, a remote
display system which allows you to view a computing 'desktop'
environment not only on the machine where it is running, but from
anywhere on the Internet and from a wide variety of machine
architectures.

This package contains VNC viewer.

%description -l es
Sistema de control remoto.

%description -l pl
VNC oznacza Virtual Network Computing. Pakiet ten pozwala na uzyskanie
obrazu zdalnego desktopu na dowolnej maszynie wyposaonej w odpowiedni
serwer. Dostpne s serwery dla Win32, Mac 8.x i X11, a klienty dla
Win32, Mac 8.x, X11, Windows CE, BeOS i Java (np. w przegldarce
dziaajcej po HTTP).

Ten pakiet zawiera program wywietlajcy ekran VNC (vncviewer).

%description -l pt_BR
VNC (Virtual Network Computing) ' um sistema de controle remoto que
permite visualizar um ambiente desktop no somente da mquina onde o
VNC est rodando, mas de qualquer lugar da Internet e de uma variedade
de arquiteturas. O VNC ' diferente de um servidor X em vrios
aspectos: no salva nenhum estado no visualizador VNC, ' pequeno e
simples, ' de fato independente de plataforma, e um desktop pode ser
visto e usado por diversos visualizadores ao mesmo tempo.

%package server
Summary:	VNC X server
Summary(es):	Sistema de control remoto
Summary(pl):	X serwer VNC
Summary(pt_BR):	Sistema de controle remoto
Group:		X11/Applications/Networking
Requires:	XFree86-common

%description server
VNC stands for Virtual Network Computing. It is, in essence, a remote
display system which allows you to view a computing 'desktop'
environment not only on the machine where it is running, but from
anywhere on the Internet and from a wide variety of machine
architectures.

This package contains VNC X server (Xvnc).

%description server -l es
Sistema de control remoto.

%description server -l pl
VNC oznacza Virtual Network Computing. Pakiet ten pozwala na uzyskanie
obrazu zdalnego desktopu na dowolnej maszynie wyposaonej w odpowiedni
serwer. Dostpne s serwery dla Win32, Mac 8.x i X11, a klienty dla
Win32, Mac 8.x, X11, Windows CE, BeOS i Java (np. w przegldarce
dziaajcej po HTTP).

Ten pakiet zawiera X serwer VNC (Xvnc).

%description server -l pt_BR
VNC (Virtual Network Computing) ' um sistema de controle remoto que
permite visualizar um ambiente desktop no somente da mquina onde o
VNC est rodando, mas de qualquer lugar da Internet e de uma variedade
de arquiteturas. O VNC ' diferente de um servidor X em vrios
aspectos: no salva nenhum estado no visualizador VNC, ' pequeno e
simples, ' de fato independente de plataforma, e um desktop pode ser
visto e usado por diversos visualizadores ao mesmo tempo.

%package utils
Summary:	Additional utilities for VNC
Summary(pl):	Dodatkowe narzdzia do VNC
Group:		X11/Applications/Networking

%description utils
This package contains additional VNC utilities: vncconnect and
vncpasswd. vncconnect tells Xvnc server to connect to a listening VNC
viewer. vncpasswd generates password file (both on server and
viewer side).

%description utils -l pl
Ten pakiet zawiera dodatkowe narzdzia VNC: vncconnect i vncpasswd.
vncconnect suy do poczenia serwera Xvnc z nasuchujcym
vncviewerem. vncpasswd suy to tworzenia pliku z hasem (zarwno po
stronie serwera, jak i przegldarki).

%package doc
Summary:	VNC documentation
Summary(pl):	Dokumentacja do VNC
Group:		Documentation

%description doc
This package contains documentation for VNC protocol, utilities etc.

%description doc -l pl
Ten pakiet zawiera dokumentacj do VNC (protokou, programw itp.).

%prep
%setup -q -n %{name}_unixsrc -a1
%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -rf Xvnc/lib/zlib

xmkmf
%{__make} CDEBUGFLAGS="%{rpmcflags}" ZLIB_LIB="-lz" World
%{__make} World -C Xvnc \
	CDEBUGFLAGS="%{rpmcflags}" ZLIBDIR=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/vnc/classes} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_applnkdir}/Network}

./vncinstall $RPM_BUILD_ROOT%{_bindir}

install classes/* $RPM_BUILD_ROOT%{_datadir}/vnc/classes

install %{SOURCE2} %{SOURCE4} %{SOURCE5} %{SOURCE6} \
	$RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1/Xvnc.1

install %{SOURCE7} $RPM_BUILD_ROOT%{_applnkdir}/Network

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vncviewer
%{_mandir}/man1/vncviewer.1*
%{_applnkdir}/Network/vncviewer.desktop

%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xvnc
%attr(755,root,root) %{_bindir}/vncserver
%{_datadir}/vnc
%{_mandir}/man1/Xvnc.1*
%{_mandir}/man1/vncserver.1*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vncconnect
%attr(755,root,root) %{_bindir}/vncpasswd
%{_mandir}/man1/vncconnect.1*
%{_mandir}/man1/vncpasswd.1*

%files doc
%defattr(644,root,root,755)
%doc vnc_docs/*.{gif,jpg,html,htm,pdf,css,GIF} README

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vnc.spec,v $
Revision 1.29  2002/07/17 21:18:40  qboosh
- really added desktop file
- release 4

Revision 1.28  2002/05/31 22:06:58  qboosh
- added corre and typo patches from RedHat
- added manpages from RedHat, but with tight options added by me
- added vncviewer.desktop (based on RedHat's one)
- fixed some paths in vncserver patch
- separated subpackages: -server with Xvnc server; -utils with vncconnect and
  vncpasswd; -doc with VNC documentation (doc is separated because it's large
  and applies to all subpackages, so doesn't fit to any single package, and
  any package doesn't require another)
- release 3

Revision 1.27  2002/05/30 23:04:13  qboosh
- simplified build, new %%doc

Revision 1.26  2002/03/14 17:52:32  misiek
- link only with system shared zlib; release 2

Revision 1.25  2002/03/14 15:59:06  qboosh
- typo

Revision 1.24  2002/03/14 15:57:32  mmazur
- little error in %desc pl

Revision 1.23  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/12 02:02:26  blues
- added some translations
- Comlex patch added and vncserver corrected (BTS #40)
- documentation corrected

Revision 1.19  2001/04/21 06:19:15  kloczek
- added usibg %%{rpmcflags} macro.

Revision 1.18  2001/04/20 06:14:57  pascalek
- %doc fixed

Revision 1.17  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.16  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.15  2000/10/31 09:25:07  kloczek
- spec adapterized,
- added gzipping %doc,
- make spec %%{debug} ready,
- some other cosmetics.

Revision 1.14  2000/10/30 20:07:37  misiek
udpdate, work in progress

Revision 1.13  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.10  1999/07/16 00:46:37  pius
- small fix in %files.

Revision 1.9  1999/07/16 00:35:04  kloczek
- reorder in header.

Revision 1.8  1999/07/16 00:30:17  kloczek
- fix: don't strip scripts,
- cosmetic.

Revision 1.7  1999/07/15 22:47:31  pius
- spec file cleanup.

Revision 1.6  1999/07/12 23:06:17  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb  4 1999 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
  [3.3.2r3-1d]
- added documentation
- build angainst glibc 2.1
- added mode detail %attr in %files section
- Polish language spec translation

* Sat Nov 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
  [3.3.2r2-1a]
- Add patch for compiling against LinuxPPC.

* Sat Jul 25 1998 Arne Coucheron <arneco@online.no>
  [3.3.2r2-1]

* Mon Jul 06 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-3]
- it would have been nice if people updating the package would follow
  common sense and do it so using existing ones, and also update their
  changes in the changelog, but I guess some find this rule hard to follow
- binaries moved back to /usr/X11R6/bin

* Tue May 26 1998 Arne Coucheron <arneco@online.no>
  [3.3.2-1]
- moved java classes to %{_datadir}/vnc/classes
- moved binaries to %{_bindir}
- using predefined %%{name} and %%{version}
- using %defattr in filelist, this means that rpm 2.5 is required to build

* Tue Mar 17 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-4]
- added a new font patch, hopefully this works better (Thanks to Gbor J.Tth)

* Sun Mar 01 1998 Arne Coucheron <arneco@online.no>
  [3.3.1-3]
- using buildroot and %attr macros
- added patch to make it build against glibc
- added patch to make it find the fonts on RH5
